<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.9.1"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>fwConfigurationDB: Global variables</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="resize.js"></script>
<script type="text/javascript" src="navtreedata.js"></script>
<script type="text/javascript" src="navtree.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">fwConfigurationDB
   &#160;<span id="projectnumber">8.4.3</span>
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.1 -->
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="pages.html"><span>Related&#160;Pages</span></a></li>
      <li class="current"><a href="modules.html"><span>Modules</span></a></li>
      <li><a href="annotated.html"><span>Classes</span></a></li>
      <li><a href="files.html"><span>Files</span></a></li>
    </ul>
  </div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(document).ready(function(){initNavTree('group__GlobalVariables.html',''); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<div class="header">
  <div class="summary">
<a href="#var-members">Variables</a>  </div>
  <div class="headertitle">
<div class="title">Global variables</div>  </div>
</div><!--header-->
<div class="contents">
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="var-members"></a>
Variables</h2></td></tr>
<tr class="memitem:ga676118bae9020aa17bf8feed33f86ec3"><td class="memItemLeft" align="right" valign="top">global string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__GlobalVariables.html#ga676118bae9020aa17bf8feed33f86ec3">fwConfigurationDB_currentSetupName</a> =&quot;&quot;</td></tr>
<tr class="separator:ga676118bae9020aa17bf8feed33f86ec3"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gaa0cb6d1e9092075e0effa3c1bfb0b7db"><td class="memItemLeft" align="right" valign="top">global bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__GlobalVariables.html#gaa0cb6d1e9092075e0effa3c1bfb0b7db">fwConfigurationDB_initialized</a> =FALSE</td></tr>
<tr class="separator:gaa0cb6d1e9092075e0effa3c1bfb0b7db"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga202bab768fdd34fa77d6f8c80384dafa"><td class="memItemLeft" align="right" valign="top">global bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__GlobalVariables.html#ga202bab768fdd34fa77d6f8c80384dafa">fwConfigurationDB_DBConfigured</a> =FALSE</td></tr>
<tr class="separator:ga202bab768fdd34fa77d6f8c80384dafa"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gaa5e66c4b6898765e57f8a19192bc51a5"><td class="memItemLeft" align="right" valign="top">global string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__GlobalVariables.html#gaa5e66c4b6898765e57f8a19192bc51a5">GfwConfigurationDB_currentRecipeType</a> =&quot;&quot;</td></tr>
<tr class="separator:gaa5e66c4b6898765e57f8a19192bc51a5"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga37365fd45a062f3d239acb7d24c1f4ea"><td class="memItemLeft" align="right" valign="top">global bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__GlobalVariables.html#ga37365fd45a062f3d239acb7d24c1f4ea">g_fwConfigurationDB_DBConnectionOpen</a> =FALSE</td></tr>
<tr class="separator:ga37365fd45a062f3d239acb7d24c1f4ea"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga28317180a9845b4341429bda0ee03418"><td class="memItemLeft" align="right" valign="top">global bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__GlobalVariables.html#ga28317180a9845b4341429bda0ee03418">fwConfigurationDB_hasDBConnectivity</a> =FALSE</td></tr>
<tr class="separator:ga28317180a9845b4341429bda0ee03418"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga0cd06f5e1ec5329dc08ec91efc01a044"><td class="memItemLeft" align="right" valign="top">global dbConnection&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__GlobalVariables.html#ga0cd06f5e1ec5329dc08ec91efc01a044">g_fwConfigurationDB_DBConnection</a></td></tr>
<tr class="separator:ga0cd06f5e1ec5329dc08ec91efc01a044"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<h2 class="groupheader">Variable Documentation</h2>
<a id="ga676118bae9020aa17bf8feed33f86ec3"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ga676118bae9020aa17bf8feed33f86ec3">&#9670;&nbsp;</a></span>fwConfigurationDB_currentSetupName</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">global string fwConfigurationDB_currentSetupName =&quot;&quot;</td>
        </tr>
      </table>
</div><div class="memdoc">
<p>Stores the name of curntly used setup </p>

</div>
</div>
<a id="gaa0cb6d1e9092075e0effa3c1bfb0b7db"></a>
<h2 class="memtitle"><span class="permalink"><a href="#gaa0cb6d1e9092075e0effa3c1bfb0b7db">&#9670;&nbsp;</a></span>fwConfigurationDB_initialized</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">global bool fwConfigurationDB_initialized =FALSE</td>
        </tr>
      </table>
</div><div class="memdoc">
<p>Tells if the tool was already initialized with some setup... </p>

</div>
</div>
<a id="ga202bab768fdd34fa77d6f8c80384dafa"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ga202bab768fdd34fa77d6f8c80384dafa">&#9670;&nbsp;</a></span>fwConfigurationDB_DBConfigured</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">global bool fwConfigurationDB_DBConfigured =FALSE</td>
        </tr>
      </table>
</div><div class="memdoc">
<p>Tells if the CDB is available at all in this setup </p>

</div>
</div>
<a id="gaa5e66c4b6898765e57f8a19192bc51a5"></a>
<h2 class="memtitle"><span class="permalink"><a href="#gaa5e66c4b6898765e57f8a19192bc51a5">&#9670;&nbsp;</a></span>GfwConfigurationDB_currentRecipeType</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">global string GfwConfigurationDB_currentRecipeType =&quot;&quot;</td>
        </tr>
      </table>
</div><div class="memdoc">
<p>Stores the name of currently used recipe type </p>

</div>
</div>
<a id="ga37365fd45a062f3d239acb7d24c1f4ea"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ga37365fd45a062f3d239acb7d24c1f4ea">&#9670;&nbsp;</a></span>g_fwConfigurationDB_DBConnectionOpen</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">global bool g_fwConfigurationDB_DBConnectionOpen =FALSE</td>
        </tr>
      </table>
</div><div class="memdoc">
<p>Tells if the database connection used by current setup is open </p>

</div>
</div>
<a id="ga28317180a9845b4341429bda0ee03418"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ga28317180a9845b4341429bda0ee03418">&#9670;&nbsp;</a></span>fwConfigurationDB_hasDBConnectivity</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">global bool fwConfigurationDB_hasDBConnectivity =FALSE</td>
        </tr>
      </table>
</div><div class="memdoc">
<p>Tells if the configuration database may be used </p>

</div>
</div>
<a id="ga0cd06f5e1ec5329dc08ec91efc01a044"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ga0cd06f5e1ec5329dc08ec91efc01a044">&#9670;&nbsp;</a></span>g_fwConfigurationDB_DBConnection</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">global dbConnection g_fwConfigurationDB_DBConnection</td>
        </tr>
      </table>
</div><div class="memdoc">
<p>Stores the connection descriptor </p>

</div>
</div>
</div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="footer">Generated by <a href="https://www.doxygen.org/index.html"><img class="footer" src="doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.1 </li>
  </ul>
</div>
</body>
</html>
